Subject: bug#51177: 29.0.50; stop-process on pipes

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Nov 2021 09:21:45 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Fri, 12 Nov 2021 07:30:45 +0100
> Cc: [email-masked]
> 
> As for the patch itself, I'd worry that a subtle change in semantics
> here would break stuff (and this is an area that's full of notoriously
> subtle things), but perhaps it's OK.  Anybody have an opinion here?

First, the patch included an fprintf that should probably be removed.

And second, I'd prefer to have a variable exposed to Lisp to control
this behavior, so that if someone finds some strange consequences, we
could ask them to flip the variable and see if the problem goes away.

My main worry is what happens if we try reading from a pipe to a
process that died, and so its end of the pipe could be closed.  Was
this patch tested when process-connection-type is nil?